Subject: [RFC 12/17] irq: bypass: Extend skeleton for ARM forwarding control

From: [email-masked] (Paolo Bonzini)
Date: Fri, 3 Jul 2015 19:20:15 +0200

On 03/07/2015 15:12, Eric Auger wrote:
>> > Linux IRQ and active should be okay.  As to the vfio_device handle, you
>> > should link it from the vfio_platform_device instead.  And for the
>> > vfio_platform_device, you can link it from the vfio_platform_irq instead.
> For this last one, I don't think this is achievable since if I store the
> vfio_platform_irq in the opaque, it matches irqs[i] of
> vfio_platform_device and I don't have any mean to retrieve "i" when
> calling container_of.

Right, notice I said "link it":

	struct vfio_platform_irq *irq =
		container_of(prod, struct vfio_platform_irq, producer);
	struct vfio_platform_device *vpdev = irq->vpdev;
	struct vfio_device *vdev = vpdev->vdev;

Would this be okay?

Paolo